Subject: bug#52585: closed (Re: bug#52585: lualatex: Unexpected non-option argument(s): lualatex.fmt)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 28 Jan 2022 21:49:02 +0000

Your bug report

#52585: Lualatex Missing Format File

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52585: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52585
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52585: lualatex: Unexpected non-option argument(s): lualatex.fmt
From: Thiago Jung Bauermann <[email-masked]>
To: Sergiu Ivanov <[email-masked]>,Pāladhammika <[email-masked]>
Cc: [email-masked]
Date: Fri, 28 Jan 2022 18:48:33 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Em segunda-feira, 24 de janeiro de 2022, às 11:11:25 -03, Pāladhammika 
escreveu:
> Hello,
> 
> Yes! I also noticed. Can now upgrade to texlive2021 with no issues
> building my documents. Thanks for your effort and support.

Awesome! Ricardo Wurmus has been fixing some issues with TeX Live in Guix 
lately. One of his patches must have fixed your problem.

I’m closing the bug now.

-- 
Thanks,
Thiago

Subject: Lualatex Missing Format File
From: Pāladhammika <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 17 Dec 2021 19:37:48 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

Unable to build documents since the latest texlive update. It spits out the below message.

This is related to a former bug found here:
https://issues.guix.gnu.org/51252

cat main.fir | \
	sed '/\\contentsfinish/d' | \
	sort > main.fir.tmp
echo '\\contentsfinish' >> main.fir.tmp
mv main.fir.tmp main.fir
lualatex -interaction=nonstopmode -halt-on-error -synctex=1 main.tex;
This is LuaTeX, Version 1.13.0 (TeX Live 2021/GNU Guix)
 restricted system commands enabled.

kpathsea: Running mktexfmt lualatex.fmt
/gnu/store/irzhgvy2zb6dd9g7a6b343pn4lvsn9n0-texlive-bin-20210325/share/texmf-dist/scripts/texlive/fmtutil.pl: Unexpected non-option argument(s): lualatex.fmt
Try "fmtutil --help" for more information.
I can't find the format file `lualatex.fmt'!
make: *** [Makefile:24: document] Error 1